%if 0%{?fedora}
%global with_python3 1
%endif

# The __python2 macro exists for Fedora, but not for EPEL.  Define it here.
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname pypump
%global distname PyPump

Name:               python-pypump
Version:            0.4
Release:            3%{?dist}
Summary:            Python Pump.io library

Group:              Development/Libraries
License:            GPLv3+
URL:                http://pypi.python.org/pypi/PyPump
Source0:            http://pypi.python.org/packages/source/P/%{distname}/%{distname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-requests
BuildRequires:      python-oauthlib
BuildRequires:      python-dateutil
BuildRequires:      python-sphinx

Requires:           python-requests
Requires:           python-oauthlib
Requires:           python-dateutil


%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-requests
BuildRequires:      python3-oauthlib
BuildRequires:      python3-dateutil
%endif

%description
Pump.io is a socially oriented federated network. It provides a way to post
notes and images as well and subscribe to other people to get updates on
what they post.

PyPump provides an interface to the pump.io API's. The aim is to provide
very natural pythonic representations of Notes, Images, People, etc...
allowing you to painlessly interact with them.

%if 0%{?with_python3}
%package -n python3-pypump
Summary:            Python Pump.io library
Group:              Development/Libraries

Requires:           python3-requests
Requires:           python3-oauthlib
Requires:           python3-dateutil

%description -n python3-pypump
Pump.io is a socially oriented federated network. It provides a way to post
notes and images as well and subscribe to other people to get updates on
what they post.

PyPump provides an interface to the pump.io API's. The aim is to provide
very natural pythonic representations of Notes, Images, People, etc...
allowing you to painlessly interact with them.
%endif

%prep
%setup -q -n %{distname}-%{version}

# Remove executable bit from an example script
chmod -x docs/examples/pypump-post-note.py

# Remove bundled egg-info in case it exists
rm -rf %{distname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

# Build documentation
sphinx-build docs docs-html

# Remove a hidden artifacts
rm -rf docs-html/.doctrees
rm -rf docs-html/.buildinfo


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst COPYING AUTHORS.md docs/ docs-html/
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*

%if 0%{?with_python3}
%files -n python3-pypump
%doc README.rst COPYING AUTHORS.md docs/ docs-html/
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{distname}-%{version}-*
%endif

%changelog
* Mon Jan 13 2014 Ralph Bean <rbean@redhat.com> - 0.4-3
- Correct python3 requires statements.
- Remove executable bit from an example script.
- Remove hidden docs-html artifact.

* Tue Dec 17 2013 Ralph Bean <rbean@redhat.com> - 0.4-2
- Update based on package review feedback.
- Use python2 macro instead of python.
- Build HTML docs with sphinx.

* Thu Oct 31 2013 Ralph Bean <rbean@redhat.com> - 0.4-1
- initial package for Fedora
